Skyrim Script Extender 64 | SKSE64 (для Skyrim SE)
03.10.2021 372036 104861 Автор мода: Ian Patterson Автор публикации: k©קaso√® Версия: 2.0.20 Перевод: Мультиязычный

Skyrim Script Extender 64 | SKSE64 (для Skyrim SE)

Skyrim Script Extender 64 (SKSE64) является ресурсом для модмейкеров, который расширяет скриптовые возможности и функционал игры Skyrim SE. Используется для создания игровых модификаций и нужен игре при использовании различных модов. SKSE64 работает без изменения исполняемых файлов игры, поэтому не вносит и не добавляет побочных эффектов.

ВАЖНАЯ ИНФОРМАЦИЯ
Таблица совместимости№1 или Таблица совместимости №2 разных версий SKSE64 с различными модами работающими через SKSE64 (проверяйте и сравнивайте, чтобы не писать в комментариях "почему у меня не работает то или это")

Версия 2.1.3 и выше для Skyrim АE 1.6.ххх смотрите на этой странице

Версия 2.0.20
- Поддержка игры версии 1.5.97.0.8
- Маркированы измененные флаги для параметра SetHarvested.
- Аргумент командной строки загрузчика приоритета процесса теперь действительно работает.
- Смена загрузчика: основные функции .dll вызываются вне параметра LoadLibrary.
* ВНИМАНИЕ!!! Данное обновление никак не повлияет на моды которые работают через SKSE64, поэтому не поднимайте панику, просто обновите SKSE64 с заменой всех файлов и все, все моды будут по прежнему работать!!!

Требования:
Skyrim SE 1.4.2.0.8 - 1.5.97.0.8

Примечание об обновлениях версий самой игры и SKSE64:
Уважаемые игроки, каждый раз при обновлении самой игры, всегда нужно будет ждать когда обновится SKSE64, не пишите возмущения почему у вас после обновления игры, перестал работать SKSE64 и моды, это естественно что не будет работать, нужно просто ждать когда авторы SKSE64 обновят версию, под новый патч самой игры, пожалуйста, будьте терпеливы.

Установка: (только вручную, через менеджеры модов не устанавливать!!!)
1. Скачать архив SKSE64 для игры Skyrim SE с сайта разработчиков https://skse.silverlock.org/ (смотрите скриншот)

2. В архиве идем в папку skse64_2_00_20 (для Skyrim SE 1.5.97.0.8)
3. Берем все содержимое (skse64_steam_loader.dll, skse64_loader.exe, skse64_X_X_X.dll (X - это цифры версии игры) и помещаем в саму папку игры где находится исполняемый файл игры SkyrimSE.exe (не в Data).
4. Папка "src" нужна только для программистов, большинство пользователей могут проигнорировать эту папку и не устанавливать.
5. В папке Data в архиве берем всю папку scripts и помещаем в папку Data в игре. Скрипты .PEX необходимы всем пользователям skse, а скрипты .psc нужны только модмейкерам для CreationKit64 и если вы намерены создавать и компилировать скрипты папируса.
6. Запускать игру через skse64_loader.exe
7. Чтобы убедиться, что SKSE работает, в игре откройте консоль с помощью клавиши tilde (`) и введите getskseversion, будет показан номер версии текущего билда SKSE.

Устранение неисправностей / вопросы и ответы:
* Мой антивирус жалуется на skse64_loader!
 - Это не вирус. Чтобы расширить Skyrim и редактор Креатон Кит, мы используем метод под названием DLL injection для загрузки нашего кода. Поскольку этот метод также может быть использован вирусами, некоторые плохо написанные антивирусные сканеры предполагают, что любая программа, выполняющая это действие, является вирусом. Добавьте папку игры в исключения в своем антивируснике.

* Я следовал указаниям, но Скайрим SE запускается без SKSE64!
- Попробуйте запустить skse64_loader.exe от имени администратора, нажав правой кнопкой мыши на skse64_loader.exe и выбрав "запуск от имени администратора". Это может быть включено как опция совместимости в окне свойств программы.

* Как мне узнать, какие функции skse были добавлены?
- Посмотрите на .psc файлы в Data \ Scripts \ Source \. В нижней части каждого .psc-файла есть метка, в которой показаны функции SKSE, которые были добавлены. У большинства есть комментарии, описывающие их цель.

* Где хранятся лог-файлы?
- Для поддержки пользователей на компьютерах, которые не имеют права на запись в папку Program Files, лог файлы были перемещены в папку <My Documents> \ My Games \ Skyrim Special Edition \ SKSE \.

* Где находится файл skse64.ini?
- Файл skse64.ini (в котором вписываются опции) находится по пути нахождения папки игры Skyrim Special Edition/Data/SKSE/Plugins/

* Как удалить SKSE64?
- Удалите файлы .dll и .exe, начинающиеся с названия skse64_ из папки игры.

* Как обновиться с предыдущей версии на новую
- Если у вас например был установлен SKSE64 v2.0.2 для игры 1.4.2.0.8 и хотите перейти на SKSE64 v2.0.4 и выше для игры 1.5.3.0.8 и выше, то обязательно удалите файл skse64_X_X_X.dll, в общем при каждой новой версии игры, меняется .dll файл и его нужно обязательно удалять от предыдущей версии SKSE64

* Как исправить баг с вдавленными глазами (зрачки как пальцами вдавили):
- Пройдите по пути Skyrim Special Edition\Data\SKSE\Plugins, найди файл skee64.ini. Откройте, найдите раздел [Overlays], установите bEnableFaceOverlays = 1 в bEnableFaceOverlays = 0, сохраните файл

При запуске игры через MO2:
Вопрос: После установки и запуска skse через MO2, весь интерфейс в квадратиках вместо букв, можно ли как-то исправить?
Ответ: У МО2 могут быть свои ini файлы для профиля. Надо проверить стоит ли в настройках МО2 "Общие" русский язык.
Далее идем в Инструменты->Редактор INI и смотрим Skyrim.ini

[General]
sLanguage=RUSSIAN

Внимание: Автор данной темы имеет право удалять комментарии пользователей, если комментарии не соответствуют правилам сайта. Если ВЫ как пользователь считаете, что ваш комментарий был удален без каких-либо на то причин и без основания, то можете написать автору данной темы, и спросить, за что был удален ВАШ комментарий, с предоставлением причины удаления, исходя от правил сайта.
1 2 3 ... 26 27 »
Аватар dimka511
dimka511 в 22:50:58, 10.01.2022
есть ли ограничение на количество skse плагинов ?
у меня при более 50 dll в папке Data/SKSE/Plugins когда запускаю Skyrim — чёрный экран в главном меню, но музыка есть
иногда вовсе не запускается и выбивает ошибку 1114 в радомных модах(их отключение не помогает) 
Список установленых skse модов
Аватар Mandjos
Mandjos в 23:18:36, 06.01.2022
Кто нибудь знает когда обновят skse что бы работало на версии 1.6.353 на Специальное издание?
Аватар andreyvsh
andreyvsh в 04:47:31, 07.01.2022
Уже обновился.- fix RemoveEventSink_Internal (fixes MCM keybindings)
Аватар Mandjos
Mandjos в 20:12:49, 07.01.2022
прошу прощения за такой тупой вопрос, что мне делать? я просто в этом всем не разбераюсь и недавно только скачал скайрим, можно ли подробное объяснение?
Аватар andreyvsh
andreyvsh в 23:35:36, 07.01.2022
Что нужно обьяснить? Как установить новый Skse? smile
Если новичок в Скайриме, то надо просто поиграть в ванильную игру.
Аватар Mandjos
Mandjos в 19:59:16, 08.01.2022
ванильный скайрим я уже проходил. я новичок в плане установки модов и тп. я просто думал что ae это для нового дополнения скайрима. я уже во всем разобрался спасибо
Аватар Svяtogor
Svяtogor в 22:00:46, 06.01.2022
Да сколько можно, АЕ опять обновилась! Без новой версии SKSE не запускается. Обновлённая адресная библиотека не помогает.
Аватар Lemur_mur_mur
Lemur_mur_mur в 23:44:16, 03.01.2022
Всем привет. Ребят, подскажите, как мне нормально установить SKSE на версию 1.5.62 SE
Аватар k©קaso√®
k©קaso√® в 09:29:15, 04.01.2022
№908, Администратор
привет, сначала вопрос, а зачем вы сидите на такой старой версии игры, если все моды уже давно перелопатили под последнюю версию 1.5.97.0.8, у вас многие моды просто не будут работать если будете устанавливать, обновите игру лучше и спокойно играйте на последней версии 1.5.97.0.8 https://gamer-mods.ru/load....-0-4832

если все таки хотите остаться на версии 1.5.62, то скачайте версию 2.0.12 http://skse.silverlock.org/download/archive/  эта версия для игры 1.5.62 и установите следуя описанию, установка одна и та же для всех версий
Аватар Lemur_mur_mur
Lemur_mur_mur в 16:32:55, 04.01.2022
Недавно купил Б/У HDD для хранения фильмов, видео и фотографий. Прошлый хозяин не отформатировал диск, на котором и был skyrim. Я не решился его удалять и установил пару модов, в попытках навести там порядок. Подобрав моды я обнаружил, что некоторые не поддерживаются из-за отсутствия SKSE. А найти подходящую версия для неё так и не смог, что и привело меня сюда. Спасибо!
Аватар Detektrius
Detektrius в 22:40:08, 03.01.2022
А как (LE старьё?)? Для LE нету?
Это SKSE поддерживающий больше 4гб, палучаеца?
Прост на нехсусе видел рекомендацию пользоваться им в любом случае для стабильной работы модов (правда для SE)
Аватар rammmzess
rammmzess в 02:27:55, 03.01.2022
Может кто знает почему у меня после запуска через SKSE игра открывается в оконном режиме и напрочь отказывается работать в полный экран? Настройки через лаунчер и изменение параметров в ини файле не помогают
Аватар andreyvsh
andreyvsh в 22:57:40, 03.01.2022
Возможно какой-нибудь DisplayTwik или FPS стабилизатор какой-нибудь перебивают настройки.А самое главное - те ли файлы настроек вы правите? Там ли?
Аватар lolo97
lolo97 в 11:05:10, 23.12.2021
Игра запросила новый skse для Скайрим SE ,я установил версию 2.0.20,по порядку проведенному выше(в ручную) после чего игра перестала запускаться через NMM
Выдаёт ошибку: you are using a newer version of skyrim than this version of skse64 supports if this version just came out,please be patient while we update our code
in the meanteam , please check for updates
Do note email about this!
Runtime
(вы используете более новую версию Skyrim, чем эта версия skse64 поддерживает, если эта версия только что вышла, подождите, пока мы обновим наш код
в среднем, пожалуйста, проверяйте обновления
Запишите электронное письмо об этом!
Время выполнения)
Что с этим делать?! Подскажите пожалуйста!!!
Аватар k©קaso√®
k©קaso√® в 11:29:09, 23.12.2021
№903, Администратор
это значит что на этой странице SKSE64 для игры Skyrim SE 1.5.97.0.8
у вас игра видимо обновлена до Skyrim AE 1.6.ххх, для этой версии игры SKSE64 новый здесь https://gamer-mods.ru/load....0-13068
Аватар Manwie
Manwie в 20:01:17, 19.12.2021
Я уже битый час сижу и пытаюсь допетрить что не так. Скачал я себе этот ваш SKSE 2.0.2.0, поставил в папку с игрой и в дополнение этого великолепия начал запускать со своей сборкой через MO2, слава богу это не фоллаут где половина модов не работает через MO. НО, увы я столкнулся с проблемой - SKSE через MO2 не видит игру. Говорит "обнови игру до 1.5.97, а она и так последней версии (не считая AE). Так вот вопрос - кто знает как исправить эту ошибку? Без MO всё прекрасно, но с ним не запускается вообще. Конечно есть вариант просто все моды кинуть в папку и радоваться жизни, но я часто эксперементирую с модами и бывает что мод в теории может сломать игру, а через MO как то побезопаснее, спасибо ВФС.

UPD: Как и говорил Котасов кому то ниже, во всём был виноват один из модов. Я думал что сейчас надо будет удалять какой нибудь масштабный мод, но оказывается всё сломал мод на внешний вид замочных скважин...
Аватар Adegphus
Adegphus в 17:09:52, 19.12.2021
У меня вопрос:
Как решить проблему,что бы запускать SKSE не от имени администратора,а обычным двойным кликом?
Наверное тупо,но очень нужна помощь по этому вопросу))
Аватар Manwie
Manwie в 20:03:56, 19.12.2021
Зайди в свойства SKSE и в разделе "Совместимость", нажми на галку "Запускать от Имени Администратора".
Аватар k©קaso√®
k©קaso√® в 14:08:33, 10.12.2021
№898, Администратор
Версия 2.1.3 и выше для Skyrim АE 1.6.ххх смотрите на этой странице
Аватар Stich626
Stich626 в 17:48:51, 08.12.2021
у меня Mod Organizer не видит Skse64_Loader , а если в поиске файлов игры найти то выдает ошибку (Указанный путь не был признан допустимой установкой игры , текущий плагин игры требует чтобы исполнительный файл находился в подпапке "." каталога игры) много раз переустанавливала и игру и мод органайзер но ничего не выходит(
Аватар Solti_03
Solti_03 в 22:24:15, 06.12.2021
Не запускается загрущик skse на se
Аватар guslik100
guslik100 в 22:09:22, 04.12.2021
Всем кто страдает от обновления до АЕ, есть патчер который откатывает скайрим до се, Unofficial Skyrim Special Edition Downgrade Patcher / Патчер отката игры с Skyrim AE до Skyrim SEэто название патчера,я откатил фулл версией, skse 20_00_19  работает,остальные моды работавшие в СЕ тоже работают!
Аватар sattega
sattega в 19:06:19, 25.11.2021
Ждем всем миром обнову SSE64 для SSE 1.6.323.0 интересно сколько времени понадобится подстава подстав просто играл спокойно в обычную версию и просто через 30 часов начали появляться битые локации при приближении к которым игра закрывалась без всяких ошибок решение нашлось но только сцуко для SE версии а тут оказывается она то же обновилась и не работает просто блин волшебно.
Аватар k©קaso√®
k©קaso√® в 19:55:43, 25.11.2021
№883, Администратор
зачем ждать, уже давно все есть https://gamer-mods.ru/load....0-13068 в отдельном разделе для АЕ лежит
Аватар sattega
sattega в 10:37:50, 27.11.2021
нифига не работает у меня то версия SE а версия для AE не работает та же самая ошибка при запуске скайрима skse64 не смог подключится версия не подходящая бла бла бла
Аватар k©קaso√®
k©קaso√® в 11:06:27, 27.11.2021
№886, Администратор
работает, игра Скайрим АЕ версии 1.6.323.0.8, нужно установить SKSE64 АЕ 2.1.3, все остальное зависит уже от установленных модов которые зависят от SKSE, если у вас не работает игра и вылетает значит ищите проблему в установленных у вас модов которые не обновлены или еще нет обновлений именно для игры 1.6.323.0.8 и SKSE 2.1.3 и выше
Аватар sattega
sattega в 11:16:34, 27.11.2021
не игра сама по себе не вылетает просто не работают моды для версии SE короче щас спирачу старую версию скайрима и буду спокойно играть имею полное право т.к. у меня есть купленная лицензия.
Аватар k©קaso√®
k©קaso√® в 12:28:46, 27.11.2021
№888, Администратор
правильно, в плане того что лучше пока на Скайрим СЕ оставаться, пока все моды для АЕ которые не работают, переделают, сто лет пройдет
Аватар sattega
sattega в 13:16:56, 27.11.2021
Это просто кабзец 2 часа просидел ставя самые разные версии skse64 а оказалось что Nexus Mod Manager неправильно устанавливает этот мод и потому нифига не работало поставил все вручную и все получилось я переставил 10 разных версий от самых новых до старых это просто жесть
вобщем для тех кто будет после меня
версия игры 1.59.7
версия SKSE64 2.0.20

СТАВИТЬ ТОЛЬКО ВРУЧНУЮ NMM УСТАНАВЛИВАЕТ SKSE64 НЕПРАВИЛЬНО!!!
Аватар k©קaso√®
k©קaso√® в 15:50:24, 27.11.2021
№890, Администратор
так в описании и так сказано устанавливать вручную, через менеджеры не написано, чтобы еще было виднее что вручную, добавил зеленым текст.
Аватар МудраяСова
МудраяСова в 09:47:46, 03.12.2021
Может вы знаете будет ли возможность запускать Скайрим по старому через Стим, а не через  skse64_loader.exe ?
Аватар k©קaso√®
k©קaso√® в 10:27:13, 03.12.2021
№893, Администратор
так запускайте через стим если вам skse не нужен, только если игру запускать не через skse, у вас не будут работать те моды, которые требуют skse или я чего не понимаю? Что вам мешает запускать игру через skse64_loader.exe?
Аватар МудраяСова
МудраяСова в 12:16:54, 03.12.2021
. tongue  .
Аватар Adamon
Adamon в 20:17:35, 01.12.2021
Неужели вы сами до сих пор не догнали, что этот skse работает на купленной, полной AE версии, а не на обновленной SE-AE, которая в отличии от полноценной AE имеет лишь три мода. Вам тут тучу комментариев пишут о том что SE версия, которую зачем-то обновили и испоганили на нем моды, ОСТАЛАСЬ НИ С ЧЕМ. На нем не работает НИКАКОЙ skse. И решения этого все ждут, если что, об этом тут все говорят.
Аватар VirusDreamkon
VirusDreamkon в 19:46:10, 23.11.2021
Под SKSE 2.0.20 нужно ждать обновления модов? У меня перестал работать Wearable Lanterns (с патчами, исправлениями и MCM меню), да и обновления PapyrusUtil только под AE немного смущает. Это у меня лыжи не едут или действительно дело в обновлённом SKSE?
Аватар k©קaso√®
k©קaso√® в 19:54:50, 23.11.2021
№879, Администратор
не от нас это все зависит а от самих авторов таких модов, которые им нужно обновлять под новый SKSE

обновление PapyrusUtil https://gamer-mods.ru/load....0-13092 о котором вы говорите только для SKSE 2.1.3 и игры 1.6.323
Аватар VirusDreamkon
VirusDreamkon в 21:35:17, 23.11.2021
Да, я это прекрасно понимаю и не пытаюсь установить AE версию PapyrusUtil на SE. Я просто к тому, что PapyrusUtil SE не обновили под SKSE 2.0.20 и скорее всего от этого у меня проблемы. Хочу узнать у шарящего человека, так ли это или проблема в другом.
Аватар k©קaso√®
k©קaso√® в 21:42:05, 23.11.2021
№881, Администратор
SKSE 2.0.17 / 2.0.18 / 2.0.19 / 2.0.20 это все версии для Skyrim SE 1.5.97.0.8, следовательно версия PapyrusUtil 3.9 https://gamer-mods.ru/load....-0-6279 она подходит для SKSE 2.0.17 / 2.0.18 / 2.0.19 / 2.0.20 потому что эти версии SKSE все для игры 1.5.97.0.8 или я чего то не понимаю что вы хотите сказать. Просто если у вас игра Skyrim SE 1.5.97.0.8 и SKSE 2.0.20, то установите PapyrusUtil 3.9 и все, как уже говорил эта версия PapyrusUtil 3.9 для SKSE от 2.0.17 до 2.0.20, потому что эти версии все для игры SE 15.97.0.8
Аватар andreyvsh
andreyvsh в 20:50:25, 25.11.2021
PapyrusUtil по образному замечанию разработчика пытается заменить "каждая собака."
Посмотрите может кто заменяет. Можно только SexLab-у
Навскидку - Simply Knock меняет
1 2 3 ... 26 27 »
avatar
Gamer-mods.ru © 2012 - 2022. Все права защищены. Копирование материалов без указанной активной ссылки на данный сайт запрещено.